Name: clipart-openclipart
Version: 0.15
Release: alt1

Summary: Open Clip Art Library
Summary(ru_RU.KOI8-R):    (Clip Art)

License: Public domain
Group: Graphics
Url: http://www.openclipart.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.openclipart.org/downloads/openclipart-%version.tar.bz2

%define clip_dir %_datadir/design/cliparts/openclipart

BuildArch: noarch

%description
This is a collection of 100% license-free, royalty-free, and
restriction-free art that you can use for whatever purpose you see fit.

Most of the art in this package is in the Scalable Vector Graphic (SVG)
format, which is an XML format approved by the W3C and used in a wide
range of software applications, including Inkscape, Adobe Illustrator,
Batik, and more.

The goal of the Open Clip Art Library is to provide the public with a
huge collection of reusable art for any purpose

For more information, including how you can contribute to this growing
library, please see http://www.openclipart.org/

%package svg
Summary: Open Clip Art Library in SVG format
License: Public domain
Group: Graphics
Requires: %name = %version

%description svg
see description for %name package

%package png
Summary: Open Clip Art Library in PNG format
License: Public domain
Group: Graphics
Requires: %name = %version

%description png
see description for %name package

%prep
%setup -q -n openclipart-%version

%install
#find -name "*.png" -print0 | xargs -0 -i'{}' install -D -m0644 '{}' $INSTDIR/png/'{}'
#find -name "*.svg" -print0 | xargs -0 -i'{}' install -D -m0644 '{}' $INSTDIR/svg/'{}'
#find -name "*.txt" -print0 | xargs -0 -i'{}' install -D -m0644 '{}' $INSTDIR/txt/'{}'
for tp in png svg txt ; do
	for i in `find -name "*.$tp"` ; do install -D -m0644 $i %buildroot%clip_dir/$tp/$i ; done
done
rm -f %buildroot%clip_dir/txt/*.txt

%files
%dir %clip_dir
%clip_dir/txt
%doc *.txt

%files svg
%clip_dir/svg

%files png
%clip_dir/png

%changelog
* Sun Jul 17 2005 Vitaly Lipatov <lav@altlinux.ru> 0.15-alt1
- new version

* Mon Apr 04 2005 Vitaly Lipatov <lav@altlinux.ru> 0.12-alt1
- new version

* Sat Feb 05 2005 Vitaly Lipatov <lav@altlinux.ru> 0.10-alt1
- new version
- split to svg/png package

* Thu Jul 01 2004 Vitaly Lipatov <lav@altlinux.ru> 0.04-alt1
- first build for Sisyphus
